# ViewPropertiesOutput (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.utility

## Class ViewPropertiesOutput

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.ViewProperties
  - - org.deidentifier.arx.gui.view.impl.utility.ViewPropertiesOutput

- All Implemented Interfaces:
    IView, ViewStatisticsBasic

      public class ViewPropertiesOutput
      extends ViewProperties

  This view displays basic properties about output data.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewProperties

      `ViewProperties.Property`

  - ### Field Summary

    - ### Fields inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewProperties

      `controller, model, root, roots, treeViewer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewPropertiesOutput(org.eclipse.swt.widgets.Composite parent, Controller controller)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doUpdate(ModelEvent.ModelPart part)` Update the view.
    `LayoutUtility.ViewUtilityType` | `getType()` Returns the view type

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewProperties

      `asRelativeValue, dispose, getContext, getParent, refresh, reset, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewPropertiesOutput

          public ViewPropertiesOutput(org.eclipse.swt.widgets.Composite parent,
                              Controller controller)

      Constructor.
      Parameters:
        `parent` -
        `controller` -

  - ### Method Detail

    - #### getType

          public LayoutUtility.ViewUtilityType getType()

      Returns the view type
      Returns:

    - #### doUpdate

          protected void doUpdate(ModelEvent.ModelPart part)

      Update the view.
      Specified by:
        `doUpdate` in class `ViewProperties`
      Parameters:
        `part` -